## net.dontdrinkandroot.lastfm.api.model
Class Event

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Event

All Implemented Interfaces:
  java.io.Serializable, ArtistsEntity, AttendanceEntity, CancelledEntity, DescriptionEntity, EndDateEntity, Entity, HeadlinerEntity, IdEntity, ImageEntity, MachineTagEntity, ReviewsEntity, StartDateEntity, TicketsEntity, TitleEntity, UrlEntity, VenueEntity, WebsiteEntity

    public class Event

extends LfmEntity
implements IdEntity, TitleEntity, VenueEntity, StartDateEntity, EndDateEntity, AttendanceEntity, ReviewsEntity, MachineTagEntity, ImageEntity, UrlEntity, DescriptionEntity, WebsiteEntity, CancelledEntity, TicketsEntity, ArtistsEntity, HeadlinerEntity

See Also:
  Serialized Form

Constructor Summary
`Event(org.w3c.dom.Element element)` Create an Event from an XML Element.

Method Summary
`java.util.List<Artist>` `getArtists()`
`java.lang.Integer` `getAttendance()`
`java.lang.String` `getDescription()`
`java.util.Date` `getEndDate()`
`Artist` `getHeadliner()`
`java.lang.Long` `getId()`
`java.util.Map<ImageSize,java.net.URL>` `getImages()`
`java.lang.String` `getMachineTag()`
`java.lang.Integer` `getReviews()`
`java.util.Date` `getStartDate()`
`java.util.List<Ticket>` `getTickets()`
`java.lang.String` `getTitle()`
`java.net.URL` `getUrl()`
`Venue` `getVenue()`
`java.net.URL` `getWebsite()`
`java.lang.Boolean` `isCancelled()`
`void` `setArtists(java.util.List<Artist> artists)`
`void` `setAttendance(java.lang.Integer attendance)`
`void` `setCancelled(java.lang.Boolean cancelled)`
`void` `setDescription(java.lang.String description)`
`void` `setEndDate(java.util.Date date)`
`void` `setHeadliner(Artist headLiner)`
`void` `setId(java.lang.Long id)`
`void` `setImages(java.util.Map<ImageSize,java.net.URL> images)`
`void` `setMachineTag(java.lang.String machineTag)`
`void` `setReviews(java.lang.Integer reviews)`
`void` `setStartDate(java.util.Date date)`
`void` `setTickets(java.util.List<Ticket> tickets)`
`void` `setTitle(java.lang.String title)`
`void` `setUrl(java.net.URL url)`
`void` `setVenue(Venue venue)`
`void` `setWebsite(java.net.URL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Event

    public Event(org.w3c.dom.Element element)

  Create an Event from an XML Element.

  Parameters:
    `element` - The XML Element to create the Event from.

Method Detail

### setVenue

    public void setVenue(Venue venue)

  Specified by:
    `setVenue` in interface `VenueEntity`

### getVenue

    public final Venue getVenue()

  Specified by:
    `getVenue` in interface `VenueEntity`

### getUrl

    public java.net.URL getUrl()

  Specified by:
    `getUrl` in interface `UrlEntity`

### setUrl

    public void setUrl(java.net.URL url)

  Specified by:
    `setUrl` in interface `UrlEntity`

### setTitle

    public final void setTitle(java.lang.String title)

  Specified by:
    `setTitle` in interface `TitleEntity`

### getTitle

    public final java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `TitleEntity`

### getId

    public final java.lang.Long getId()

  Specified by:
    `getId` in interface `IdEntity`

### setId

    public final void setId(java.lang.Long id)

  Specified by:
    `setId` in interface `IdEntity`

### getImages

    public java.util.Map<ImageSize,java.net.URL> getImages()

  Specified by:
    `getImages` in interface `ImageEntity`

### setImages

    public void setImages(java.util.Map<ImageSize,java.net.URL> images)

  Specified by:
    `setImages` in interface `ImageEntity`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `DescriptionEntity`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `DescriptionEntity`

### getWebsite

    public java.net.URL getWebsite()

  Specified by:
    `getWebsite` in interface `WebsiteEntity`

### setWebsite

    public void setWebsite(java.net.URL url)

  Specified by:
    `setWebsite` in interface `WebsiteEntity`

### getHeadliner

    public Artist getHeadliner()

  Specified by:
    `getHeadliner` in interface `HeadlinerEntity`

### setHeadliner

    public void setHeadliner(Artist headLiner)

  Specified by:
    `setHeadliner` in interface `HeadlinerEntity`

### getArtists

    public java.util.List<Artist> getArtists()

  Specified by:
    `getArtists` in interface `ArtistsEntity`

### setArtists

    public void setArtists(java.util.List<Artist> artists)

  Specified by:
    `setArtists` in interface `ArtistsEntity`

### getTickets

    public java.util.List<Ticket> getTickets()

  Specified by:
    `getTickets` in interface `TicketsEntity`

### setTickets

    public void setTickets(java.util.List<Ticket> tickets)

  Specified by:
    `setTickets` in interface `TicketsEntity`

### isCancelled

    public java.lang.Boolean isCancelled()

  Specified by:
    `isCancelled` in interface `CancelledEntity`

### setCancelled

    public void setCancelled(java.lang.Boolean cancelled)

  Specified by:
    `setCancelled` in interface `CancelledEntity`

### getMachineTag

    public java.lang.String getMachineTag()

  Specified by:
    `getMachineTag` in interface `MachineTagEntity`

### setMachineTag

    public void setMachineTag(java.lang.String machineTag)

  Specified by:
    `setMachineTag` in interface `MachineTagEntity`

### getReviews

    public java.lang.Integer getReviews()

  Specified by:
    `getReviews` in interface `ReviewsEntity`

### setReviews

    public void setReviews(java.lang.Integer reviews)

  Specified by:
    `setReviews` in interface `ReviewsEntity`

### getAttendance

    public java.lang.Integer getAttendance()

  Specified by:
    `getAttendance` in interface `AttendanceEntity`

### setAttendance

    public void setAttendance(java.lang.Integer attendance)

  Specified by:
    `setAttendance` in interface `AttendanceEntity`

### getEndDate

    public java.util.Date getEndDate()

  Specified by:
    `getEndDate` in interface `EndDateEntity`

### setEndDate

    public void setEndDate(java.util.Date date)

  Specified by:
    `setEndDate` in interface `EndDateEntity`

### getStartDate

    public java.util.Date getStartDate()

  Specified by:
    `getStartDate` in interface `StartDateEntity`

### setStartDate

    public void setStartDate(java.util.Date date)

  Specified by:
    `setStartDate` in interface `StartDateEntity`

Copyright © 2012. All Rights Reserved.